/**
 * Copyright &copy; 2012-2014 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.cku.model;

import java.util.Date;

/**
 * 报名满减优惠表Entity
 * @author xx
 * @version 2022-09-13
 */
public class ShowApplyDiscount {
	
	private String showMainId;		// 主赛事ID
	private String showApplyId;		// 申请ID
	private String runningNumber;		// 流水号
	private String discountSign;		// 计数标志（当前为犬主人会员号）
	private String cycleSign;		// 周期标志
	private int cycleSignNo;		// 周期序号
	private String isDiscount;		// 是否减免：0减免 1不减免
	

	private String remarks;	// 备注
	private String createBy;	// 创建者
	private Date createDate;	// 创建日期
	private String updateBy;	// 更新者
	private Date updateDate;	// 更新日期
	private String delFlag; 	// 删除标记（0：正常；1：删除；2：审核）
	
	private String id;
	
	public int getCycleSignNo() {
		return cycleSignNo;
	}

	public void setCycleSignNo(int cycleSignNo) {
		this.cycleSignNo = cycleSignNo;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public String getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

	public Date getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}

	public String getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(String delFlag) {
		this.delFlag = delFlag;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public ShowApplyDiscount() {
		super();
	}

	public String getShowMainId() {
		return showMainId;
	}

	public void setShowMainId(String showMainId) {
		this.showMainId = showMainId;
	}

	public String getShowApplyId() {
		return showApplyId;
	}

	public void setShowApplyId(String showApplyId) {
		this.showApplyId = showApplyId;
	}

	public String getRunningNumber() {
		return runningNumber;
	}

	public void setRunningNumber(String runningNumber) {
		this.runningNumber = runningNumber;
	}

	public String getDiscountSign() {
		return discountSign;
	}

	public void setDiscountSign(String discountSign) {
		this.discountSign = discountSign;
	}

	public String getCycleSign() {
		return cycleSign;
	}

	public void setCycleSign(String cycleSign) {
		this.cycleSign = cycleSign;
	}

	public String getIsDiscount() {
		return isDiscount;
	}

	public void setIsDiscount(String isDiscount) {
		this.isDiscount = isDiscount;
	}


	
}